rm -rf `find _distrib_tgz/wxPython-$1 -name CVS`
rm -f `find _distrib_tgz/wxPython-$1 -name "*.pyc"`
rm -f `find _distrib_tgz/wxPython-$1 -name .cvsignore`
-rm -f _distrib_tgz/wxPython-$1/demo/core
-rm -rf _distrib_tgz/wxPython-$1/demo/wxPython
+rm -f `find _distrib_tgz/wxPython-$1 -name core`
+rm -f `find _distrib_tgz/wxPython-$1 -name wxPython`
+rm -f `find _distrib_tgz/wxPython-$1 -name *.o`
+rm -f `find _distrib_tgz/wxPython-$1 -name *.so`
cd _distrib_tgz
--- /dev/null
+#!/bin/bash
+#----------------------------------------------------------------------
+
+if [ -z $1 ]; then
+ echo "Please specify a version number on the command line."
+ exit 1
+fi
+
+if [ ! -d wxPython ]; then
+ echo "Please run this script from the root wxPython directory."
+ exit 1
+fi
+
+mkdir _distrib_tgz
+mkdir _distrib_tgz/wxPython-$1
+
+cp -R tools _distrib_tgz/wxPython-$1
+
+# do some cleanup
+rm -rf `find _distrib_tgz/wxPython-$1 -name CVS`
+rm -f `find _distrib_tgz/wxPython-$1 -name "*.pyc"`
+rm -f `find _distrib_tgz/wxPython-$1 -name .cvsignore`
+rm -f `find _distrib_tgz/wxPython-$1 -name core`
+rm -f `find _distrib_tgz/wxPython-$1 -name wxPython`
+rm -f `find _distrib_tgz/wxPython-$1 -name *.o`
+rm -f `find _distrib_tgz/wxPython-$1 -name *.so`
+
+cd _distrib_tgz
+
+tar cvf ../dist/wxPython-tools-$1.tar wxPython-$1
+gzip ../dist/wxPython-tools-$1.tar
+
+cd ..
+rm -r _distrib_tgz
+
+
+
+